Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCreator.cs	(revision 3043)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCreator.cs	(revision 3048)
@@ -37,9 +37,9 @@
       get { return (LookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ILookupParameter<BoolArrayData> BinaryVectorParameter {
-      get { return (ILookupParameter<BoolArrayData>)Parameters["BinaryVector"]; }
+    public ILookupParameter<BoolArray> BinaryVectorParameter {
+      get { return (ILookupParameter<BoolArray>)Parameters["BinaryVector"]; }
     }
-    public IValueLookupParameter<IntData> LengthParameter {
-      get { return (IValueLookupParameter<IntData>)Parameters["Length"]; }
+    public IValueLookupParameter<IntValue> LengthParameter {
+      get { return (IValueLookupParameter<IntValue>)Parameters["Length"]; }
     }
 
@@ -47,6 +47,6 @@
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic manipulation operators."));
-      Parameters.Add(new LookupParameter<IntArrayData>("BinaryVector", "The vector which should be manipulated."));
-      Parameters.Add(new ValueLookupParameter<IntData>("Length", "The length of the vector."));
+      Parameters.Add(new LookupParameter<IntArray>("BinaryVector", "The vector which should be manipulated."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("Length", "The length of the vector."));
     }
 
@@ -56,5 +56,5 @@
     }
 
-    protected abstract BoolArrayData Create(IRandom random, IntData length);
+    protected abstract BoolArray Create(IRandom random, IntValue length);
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCrossover.cs	(revision 3043)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCrossover.cs	(revision 3048)
@@ -37,9 +37,9 @@
       get { return (LookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ILookupParameter<ItemArray<BoolArrayData>> ParentsParameter {
-      get { return (SubScopesLookupParameter<BoolArrayData>)Parameters["Parents"]; }
+    public ILookupParameter<ItemArray<BoolArray>> ParentsParameter {
+      get { return (SubScopesLookupParameter<BoolArray>)Parameters["Parents"]; }
     }
-    public ILookupParameter<BoolArrayData> ChildParameter {
-      get { return (ILookupParameter<BoolArrayData>)Parameters["Child"]; }
+    public ILookupParameter<BoolArray> ChildParameter {
+      get { return (ILookupParameter<BoolArray>)Parameters["Child"]; }
     }
 
@@ -47,6 +47,6 @@
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic crossover operators."));
-      Parameters.Add(new SubScopesLookupParameter<IntArrayData>("Parents", "The parent vectors which should be crossed."));
-      Parameters.Add(new LookupParameter<IntArrayData>("Child", "The child vector resulting from the crossover."));
+      Parameters.Add(new SubScopesLookupParameter<IntArray>("Parents", "The parent vectors which should be crossed."));
+      Parameters.Add(new LookupParameter<IntArray>("Child", "The child vector resulting from the crossover."));
     }
 
@@ -56,5 +56,5 @@
     }
 
-    protected abstract BoolArrayData Cross(IRandom random, ItemArray<BoolArrayData> parents);
+    protected abstract BoolArray Cross(IRandom random, ItemArray<BoolArray> parents);
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorManipulator.cs	(revision 3043)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorManipulator.cs	(revision 3048)
@@ -37,6 +37,6 @@
       get { return (LookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ILookupParameter<BoolArrayData> BinaryVectorParameter {
-      get { return (ILookupParameter<BoolArrayData>)Parameters["BinaryVector"]; }
+    public ILookupParameter<BoolArray> BinaryVectorParameter {
+      get { return (ILookupParameter<BoolArray>)Parameters["BinaryVector"]; }
     }
 
@@ -44,5 +44,5 @@
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic manipulation operators."));
-      Parameters.Add(new LookupParameter<IntArrayData>("BinaryVector", "The vector which should be manipulated."));
+      Parameters.Add(new LookupParameter<IntArray>("BinaryVector", "The vector which should be manipulated."));
     }
 
@@ -52,5 +52,5 @@
     }
 
-    protected abstract void Manipulate(IRandom random, BoolArrayData binaryVector);
+    protected abstract void Manipulate(IRandom random, BoolArray binaryVector);
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/HeuristicLab.Encodings.BinaryVectors-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/HeuristicLab.Encodings.BinaryVectors-3.3.csproj	(revision 3043)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/HeuristicLab.Encodings.BinaryVectors-3.3.csproj	(revision 3048)
@@ -32,4 +32,36 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
   </PropertyGroup>
   <ItemGroup>
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCreator.cs	(revision 3043)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCreator.cs	(revision 3048)
@@ -29,6 +29,6 @@
   /// </summary>
   public interface IBinaryVectorCreator : IBinaryVectorOperator, ISolutionCreator {
-    IValueLookupParameter<IntData> LengthParameter { get; }
-    ILookupParameter<BoolArrayData> BinaryVectorParameter { get; }
+    IValueLookupParameter<IntValue> LengthParameter { get; }
+    ILookupParameter<BoolArray> BinaryVectorParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCrossover.cs	(revision 3043)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCrossover.cs	(revision 3048)
@@ -29,6 +29,6 @@
   /// </summary>
   public interface IBinaryVectorCrossover : IBinaryVectorOperator, ICrossover {
-    ILookupParameter<ItemArray<BoolArrayData>> ParentsParameter { get; }
-    ILookupParameter<BoolArrayData> ChildParameter { get; }
+    ILookupParameter<ItemArray<BoolArray>> ParentsParameter { get; }
+    ILookupParameter<BoolArray> ChildParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorManipulator.cs	(revision 3043)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorManipulator.cs	(revision 3048)
@@ -29,5 +29,5 @@
   /// </summary>
   public interface IBinaryVectorManipulator : IBinaryVectorOperator, IManipulator {
-    ILookupParameter<BoolArrayData> BinaryVectorParameter { get; }
+    ILookupParameter<BoolArray> BinaryVectorParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/Auxiliary.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/Auxiliary.cs	(revision 3043)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/Auxiliary.cs	(revision 3048)
@@ -25,5 +25,5 @@
 namespace HeuristicLab.Encodings.IntVector_33.Tests {
   public static class Auxiliary {
-    public static bool BoolVectorIsEqualByPosition(BoolArrayData p1, BoolArrayData p2) {
+    public static bool BoolVectorIsEqualByPosition(BoolArray p1, BoolArray p2) {
       bool equal = (p1.Length == p2.Length);
       if (equal) {
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/HeuristicLab.Encodings.BinaryVectors-3.3.Tests.csproj
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/HeuristicLab.Encodings.BinaryVectors-3.3.Tests.csproj	(revision 3043)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/HeuristicLab.Encodings.BinaryVectors-3.3.Tests.csproj	(revision 3048)
@@ -30,4 +30,36 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
   </PropertyGroup>
   <ItemGroup>
